Skip to content
EN

创建任务-black-forest-labs/flux-fill-dev

方法: POST路径: /replicate/v1/models/black-forest-labs/flux-fill-dev/predictions

https://replicate.com/black-forest-labs/flux-fill-dev

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
input
object
必需
prompt
string
必需
input_image
string
必需
aspect_ratio
string
必需
示例
{
"input"
:
{
"mask"
:
"https://replicate.delivery/pbxt/M0hxLu8a1YBcybWuumSsfoEec8ooer6JZ2fR28vuM1U0CN9m/74b40bb1-364a-461a-bec5-200a38c7bc87.png"
,
"image"
:
"https://replicate.delivery/pbxt/M0hxMJeO7wFCMr7QYNZsjRxzHhz6ntlLllMteRQNsRD7f3Nf/flux-fill-dev.webp"
,
"prompt"
:
"a spaceship"
,
"guidance"
:
30
,
"num_outputs"
:
1
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"num_inference_steps"
:
28
}
}

请求示例代码

Shell

bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-fill-dev/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "mask": "https://replicate.delivery/pbxt/M0hxLu8a1YBcybWuumSsfoEec8ooer6JZ2fR28vuM1U0CN9m/74b40bb1-364a-461a-bec5-200a38c7bc87.png",
      "image": "https://replicate.delivery/pbxt/M0hxMJeO7wFCMr7QYNZsjRxzHhz6ntlLllMteRQNsRD7f3Nf/flux-fill-dev.webp",
      "prompt": "a spaceship",
      "guidance": 30,
      "num_outputs": 1,
      "output_format": "webp",
      "output_quality": 80,
      "num_inference_steps": 28
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}